Bug 1505255 - unnecessary blank shows in dc configuration page
Summary: unnecessary blank shows in dc configuration page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.7.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-23 07:03 UTC by shahan
Modified: 2017-11-28 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The configuration tab of the deployment configuration page was laid out in such a way that a large gap could appear when the right column contents were longer than the left column contents. Consequence: The consequence of the bug is a large gap could appear in the left column between Volumes and Triggers. Fix: The fix involved changing the layout markup so the gap does not appear. Result: The result is there is no longer a gap between Volumes and Triggers when the right column content is longer than the left column content.
Clone Of:
Environment:
Last Closed: 2017-11-28 22:18:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
blank (117.93 KB, image/png)
2017-10-23 07:03 UTC, shahan
no flags Details
bigger blank (109.41 KB, image/png)
2017-10-23 07:27 UTC, shahan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description shahan 2017-10-23 07:03:29 UTC
Created attachment 1342007 [details]
blank

Description of problem:
 unnecessary blank shows in dc configuration page

Version-Release number of selected component (if applicable):
 v3.7.0-0.158.0

How reproducible:
 Always

Steps to Reproduce:
1. oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/templates/application-template-stibuild.json
2. Login web console and enter configuration tab of database dc page.
3. check the current page

Actual results:
 There is a large of unnecessary blank between Volumes and Triggers.

Expected results:
 Should not have this kind of blank or the item Triggers always at the right of page.

Additional info:

Comment 1 shahan 2017-10-23 07:27:04 UTC
we remove the volume on the dc page after creating the app, will show bigger blank compared with the previous, see attachment bigger blank.

Comment 2 shahan 2017-10-23 07:27:33 UTC
Created attachment 1342021 [details]
bigger blank

Comment 3 Robb Hamilton 2017-10-23 18:45:12 UTC
PR to resolve: https://github.com/openshift/origin-web-console/pull/2351

Comment 5 shahan 2017-11-01 02:25:33 UTC
Checked this issue in OCP v3.7.0-0.188.0 and the dc configuration page shows well. Changed status to verified.

Comment 8 errata-xmlrpc 2017-11-28 22:18:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.